/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.Context;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.PopupMenu.OnMenuItemClickListener;

import net.micode.notes.R;

public class DropdownMenu {//声明一个下拉菜单类
    private Button mButton;/*按钮控件、下拉菜单按键、菜单*/
    private PopupMenu mPopupMenu;
    private Menu mMenu;

    public DropdownMenu(Context context, Button button, int menuId) {//首先是公有类DropdownMenu的私有数据成员申明,其中包括了对象按钮mButton,
        // 菜单对象mMenu和弹出菜单控件对象mPopupMenu
        mButton = button; //设置下拉菜单的背景
        mButton.setBackgroundResource(R.drawable.dropdown_icon); //
        mPopupMenu = new PopupMenu(context, mButton);//初始化下拉菜单由mButton触发
        mMenu = mPopupMenu.getMenu();//将menuId指向的菜单项目添加到mMenu中
        mPopupMenu.getMenuInflater().inflate(menuId, mMenu);
        mButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                mPopupMenu.show();
            }
        });
    }

    public void setOnDropdownMenuItemClickListener(OnMenuItemClickListener listener) {//方法：对非空的菜单的具体条目设置监听。
        if (mPopupMenu != null) {
            mPopupMenu.setOnMenuItemClickListener(listener);
        }
    }

    public MenuItem findItem(int id) {//对于菜单选项的初始化，根据索引搜索菜单需要的选项
        return mMenu.findItem(id);
    }

    public void setTitle(CharSequence title) {//根据索引搜索菜单需要的选项
        mButton.setText(title);
    }
}
